#!/bin/bash

#SBATCH --job-name=alphafold_target1
#SBATCH --time=2-00:00:00
#SBATCH	--mem=10gb
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=8
#SBATCH --mail-type=ALL
#SBATCH --mail-user=gumerov.1@osu.edu

module reset
module load alphafold

cd $SLURM_SUBMIT_DIR

#https://github.com/deepmind/alphafold
#Model monomer
run_alphafold.sh --model_preset=monomer --db_preset=reduced_dbs --max_template_date=2023-12-31 --use_gpu_relax=False --fasta_paths=./Input/aa_sequences_for_AF/WP_021170906.1.fa  --output_dir=./Input/aa_sequences_for_AF/WP_021170906.1_output
