# Purine-pyrimidine_motif

Data accompanying the paper on purine binding receptors 

We defined the purine motif as follows:

[YF] x (~7-8) [RKH] x (~6-10) [WF][YF] x (~21-28) [YF] x [DN]

Multiple sequence alignments built using NCBI RefSeq sequences corresponding to the purine binding receptors are in the **Alignment** folder. [Mafft](https://mafft.cbrc.jp/alignment/server/) was used to generate multiple sequence alignments. The positions corresponding to the purine motif in the _purine_receptors_aln_linsi_ed.fa_ file are as follows:


[YF] (**113**) x (~7-8) [RKH] (**126**) x (~6-10) [WF][YF] (**140**) x (~21-28) [YF] (**175**) x [DN] (**177**)

The bayesian phylogenetic tree and the multiple sequence alignment used are in the **Phylogeny** folder. [ProtTest 3](https://github.com/ddarriba/prottest3) was used to determine the amino acid replacement model and [MrBays](https://nbisweden.github.io/MrBayes/) - to construct a phylogenetic tree.

Structural models with docked ligands can be found in the **Models** folder. [AlphaFold](https://www.nature.com/articles/s41586-021-03819-2) was used to create models and [DiffDock](https://arxiv.org/abs/2210.01776) - for molecular docking. 

Detailed information about dCache_1PU containing proteins, purine motif variants, and taxonomy and isolation sources of the corresponding organisms can be found in the **Metadata** folder. [HMMER](http://hmmer.org/), [BLASTP](https://blast.ncbi.nlm.nih.gov/Blast.cgi?PAGE=Proteins), [BioSample](https://www.ncbi.nlm.nih.gov/biosample), [TREND](http://trend.evobionet.com/) and custom python scripts were used to produce these data.  


